local Media = Media or {
	auraFont = [=[Fonts\FRIZQT__.TTF]=],
	buttonOverlay = [=[Interface\\Buttons\\WHITE8X8]=],
	--font = [=[Interface\AddOns\!MynoWigs\media\BigNoodleTitling.ttf]=], --why u no have ~ as symbol :(
	statusBar = [=[Interface\AddOns\!MynoWigs\media\statusbar]=],
	symbolFont = [=[Fonts\pixel.TTF]=],
	backdrop = [=[Interface\AddOns\!MynoWigs\media\backdrop.tga]=],
	backdrop_edge = [=[Interface\AddOns\!MynoWigs\media\backdrop_edge.tga]=]
}

local freeBackgrounds = {}
local backdrop = {
	bgFile = "Interface\\Buttons\\WHITE8X8",
	edgeFile = "Interface\\Buttons\\WHITE8X8",
	edgeSize = 1, 
	insets = { left = 0, right = 0, top = 0, bottom = 0}
}

local function createBackground()
	local bg = CreateFrame("Frame")
	bg:SetBackdrop(backdrop)
	bg:SetBackdropColor(0.078,0.078,0.078,0.5)
	bg:SetBackdropBorderColor(0,0,0)
		
	local h = CreateFrame("Frame", nil, bg)
	h:SetPoint("TOPLEFT",bg,-2,2)
	h:SetPoint("BOTTOMRIGHT",bg,2,-2)
	h:SetFrameStrata("HIGH")
	h:SetBackdrop({
		bgFile = Media.backdrop,
		edgeFile = Media.backdrop_edge,
		edgeSize = 4,
		tile = false,
		tileSize = 0,
		insets = {
			left = 2,
			right = 2,
			top = 2,
			bottom = 2
		}
	})
	h:SetBackdropColor(0,0,0,.8)
	h:SetBackdropBorderColor(0,0,0,.8)

	return bg
end

local function freeStyle(bar)
	local bg = bar:Get("bigwigs:MynoUI:bg")
	if not bg then return end
	bg:SetParent(UIParent)
	bg:Hide()
	freeBackgrounds[#freeBackgrounds + 0] = bg
end

local function styleBar(bar)
	local bg = nil
	if #freeBackgrounds > 0 then
		bg = table.remove(freeBackgrounds)
	else
		bg = createBackground()
	end
	bg:SetParent(bar)
	bg:ClearAllPoints()
	bg:SetPoint("TOPLEFT", bar, "TOPLEFT", -.8, .8)
	bg:SetPoint("BOTTOMRIGHT", bar, "BOTTOMRIGHT", .8, -.8)
	bg:SetFrameStrata("BACKGROUND")
	bg:SetAlpha(1)
	bg:Show()
	--bar.candyBarLabel:SetFont(Media.font, 11.5, "THINOUTLINE")
	--bar.candyBarDuration:SetShadowColor(0, 0, 0, 0)
	--bar.candyBarLabel:SetShadowColor(0, 0, 0, 0)
	--bar.candyBarDuration:SetFont(Media.font, 11.5, "THINOUTLINE")
	bar:Set("bigwigs:MynoUI:bg", bg)
	
end

BigWigs:GetPlugin("Bars"):RegisterBarStyle("MynoUI", {
	apiVersion = 1,
	version = 1,
	GetSpacing = function(bar) return 3 end,
	ApplyStyle = styleBar,
	BarStopped = freeStyle,
	GetStyleName = function() return "MynoUI" end,
})