-- CONFIG --
local second_chat_frame = true



local backdrop_texture = "Interface\\AddOns\\oUF_Drk\\media\\backdrop"
local backdrop_edge_texture = "Interface\\AddOns\\oUF_Drk\\media\\backdrop_edge"

--backdrop table
local backdrop_tab = { 
	bgFile = backdrop_texture, 
	edgeFile = backdrop_edge_texture,
	tile = false,
	tileSize = 0, 
	edgeSize = 4, 
	insets = { 
		left = 3, 
		right = 3, 
		top = 3, 
		bottom = 3,
	},
}
-- backdrop func
local gen_backdrop = function(f)
	f:SetBackdrop(backdrop_tab);
	f:SetBackdropColor(0,0,0,.85)
	f:SetBackdropBorderColor(0,0,0,.75)
end

local create_frames = function(self, event, addon)

	if addon == "MynoUI" then
		if IsAddOnLoaded("Dominos") then
			local bars_bg = CreateFrame("Frame", nil, UIParent)
			bars_bg:SetWidth(362)
			bars_bg:SetHeight(123)
			bars_bg:SetFrameStrata("BACKGROUND")
			bars_bg:SetPoint("TOPLEFT",ActionButton1,"TOPLEFT",-3,3)
			gen_backdrop(bars_bg)

			local petbars_bg = CreateFrame("Frame", nil, PetActionButton1)
			petbars_bg:SetWidth(140)
			petbars_bg:SetHeight(65)
			petbars_bg:SetFrameStrata("BACKGROUND")
			petbars_bg:SetPoint("TOPLEFT",PetActionButton1,"TOPLEFT",-4,5)
			gen_backdrop(petbars_bg)
		end
		
		local broker_left = CreateFrame("Frame",nil,UIParent)
		broker_left:SetWidth(650)
		broker_left:SetHeight(27)
		broker_left:SetFrameStrata("BACKGROUND")
		broker_left:SetPoint("TOPLEFT",UIParent,"TOPLEFT",-5,5)
		gen_backdrop(broker_left)
		
		local broker_right = CreateFrame("Frame",nil,UIParent)
		broker_right:SetWidth(650)
		broker_right:SetHeight(27)
		broker_right:SetFrameStrata("BACKGROUND")
		broker_right:SetPoint("TOPRIGHT",UIParent,"TOPRIGHT",5,5)
		gen_backdrop(broker_right)
		
		local chat_frame_1 = CreateFrame("Frame",nil,UIParent)
		chat_frame_1:SetWidth(415)
		chat_frame_1:SetHeight(195)
		chat_frame_1:SetFrameStrata("BACKGROUND")
		chat_frame_1:SetPoint("BOTTOMLEFT",UIParent,"BOTTOMLEFT",2,3)
		gen_backdrop(chat_frame_1)
		
		if second_chat_frame then
			local chat_frame_2 = CreateFrame("Frame",nil,UIParent)
			chat_frame_2:SetWidth(415)
			chat_frame_2:SetHeight(195)
			chat_frame_2:SetFrameStrata("BACKGROUND")
			chat_frame_2:SetPoint("BOTTOMLEFT",chat_frame_1,"TOPLEFT",0,34)
			gen_backdrop(chat_frame_2)
		end
		
		local omen = CreateFrame("Frame",nil,UIParent)
		omen:SetWidth(195)
		omen:SetHeight(195)
		omen:SetFrameStrata("BACKGROUND")
		omen:SetPoint("TOPLEFT",chat_frame_1,"TOPRIGHT",5,0)
		gen_backdrop(omen)

		local grid = CreateFrame("Frame",nil,UIParent)
		grid:SetWidth(415)
		grid:SetHeight(195)
		grid:SetFrameStrata("BACKGROUND")
		grid:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",-2,3)
		gen_backdrop(grid)
		
		local skada = CreateFrame("Frame",nil,UIParent)
		skada:SetWidth(195)
		skada:SetHeight(195)
		skada:SetFrameStrata("BACKGROUND")
		skada:SetPoint("TOPRIGHT",grid,"TOPLEFT",-5,0)
		gen_backdrop(skada)
		
		local minimap = CreateFrame("Frame",nil,UIParent)
		minimap:SetWidth(146)
		minimap:SetHeight(147)
		minimap:SetFrameStrata("BACKGROUND")
		minimap:SetPoint("CENTER",Minimap,"CENTER",1,0)
		gen_backdrop(minimap)
	end
end

local Frames = CreateFrame("Frame")
Frames:RegisterEvent("ADDON_LOADED")
Frames:SetScript("OnEvent", create_frames)