local _, ns = ...
local oUF = ns.oUF or oUF
assert("oUF_Drk was unable to locate oUF install.")

--local frames = {}
local objects = {}
local afkTime = {}
local updateTimer = CreateFrame("Frame")
local lastUpdate = 0

updateTimer:SetScript("OnUpdate", function(self, elapsed)
	lastUpdate = lastUpdate + elapsed
	if lastUpdate < 0.5 then return end
	
	local afk = false
	for object, unit in pairs(objects) do
		
		t = afkTime[unit]
		if t then
			t = GetTime() - t
			object:SetFormattedText("<AFK %d:%02.0f>", floor(t/60), mod(t, 60))
			afk = true
		else
			object:SetText("")
			objects[object] = nil
		end
	end
	
	if not afk then
		self:Hide()
	end
	lastUpdate = 0
end)

local function Update(self, event, unit)
	if self.unit ~= unit then return end
	
	afk = UnitIsAFK(unit)
	if afk then
		if not afkTime[unit] then
			afkTime[unit] = GetTime()
		end
		objects[self.AFKTimer] = unit
		updateTimer:Show()
	else
		afkTime[unit] = nil
	end
end

local function Disable(self)
	if not self.AFKTimer or not self.AFKTimer.SetFormattedText then return end
	
	self:UnregisterEvent("PLAYER_FLAGS_CHANGED", Update)
	self:UnregisterEvent("PLAYER_TARGET_CHANGED", Update)
	self.AFKTimer:SetFormattedText("")
end

local function Enable(self)
	if not self.AFKTimer then return end
	
	self:RegisterEvent("PLAYER_FLAGS_CHANGED", Update)
	self:RegisterEvent("PLAYER_TARGET_CHANGED", Update)
	Update(self, nil, self.unit)
end

oUF:AddElement('AFKTimer', Update, Enable, Disable)