if not LibStub then error("shClock requires LibStub") end

---------CONFIG--------------

local twentyfour = true --> default: false = 12-hour time format || true: 24-hour time format

---------END OF CONFIG ------

-- Where are those locals at??
local format = string.format
local lower = string.lower
local len = string.len
local sub = string.sub
local ts = tostring
local tn = tonumber
local select = select

local gtLocal = GameTime_GetLocalTime
local gtRealm = GameTime_GetGameTime
local mt = GameTime_ComputeMilitaryTime
local GetLocale = GetLocale
local GetRealmName = GetRealmName
local numInvites = CalendarGetNumPendingInvites

local locale = GetLocale()
local realm = GetRealmName()
local date = date
local shown

local icon = [=[Interface\AddOns\shClock\media\clock]=]
local icon2 = [=[Interface\AddOns\shClock\media\bubble]=]

local function GetTipAnchor(frame)
	local x,y = frame:GetCenter()
	if not x or not y then return "TOPLEFT", "BOTTOMLEFT" end
	local hhalf = (x > UIParent:GetWidth()*2/3) and "RIGHT" or (x < UIParent:GetWidth()/3) and "LEFT" or ""
	local vhalf = (y > UIParent:GetHeight()/2) and "TOP" or "BOTTOM"
	return vhalf..hhalf, frame, (vhalf == "TOP" and "BOTTOM" or "TOP")..hhalf
end

local function formatLocal()
	local hour, minute = select(2,gtLocal())
	if minute < 10 then minute = "0"..minute end
			
	if twentyfour then
		return hour..":"..minute
	else 
		return lower(gtLocal(true)) 
	end	
end

local function formatRealm()
	local hour, minute = select(2,gtRealm())
	if minute < 10 then minute = "0"..minute end
			
	if twentyfour then
		return hour..":"..minute
	else
		return lower(gtRealm(true))
	end
end

-- create data broker ldb
local dclock = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("shClock", {
	type = "data source", 
	text = "Loading..", 
	icon = icon }) 
	
local fclock = CreateFrame("frame")

local timeController = 0	
local invites = 0
fclock:SetScript("OnUpdate", function(self, elap)
	timeController = timeController + elap
	if timeController < 1 then return end
	
	invites = numInvites()
	
	if invites > 0 then
		dclock.icon = icon2
		dclock.text = format("|cff0deb11!!|r%s", formatLocal())-- %s_invite(s)!|r", formatLocal(), invites)
	else
		dclock.icon = icon
		dclock.text = formatLocal()
	end
	
	if shown then dclock.OnEnter(shown) end
	timeController = 0
end)

function dclock.OnLeave()
	GameTooltip:Hide()
	shown = nil
end

function dclock.OnEnter(self)
	shown = self
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint(GetTipAnchor(self))
	GameTooltip:ClearLines()
		
	GameTooltip:AddLine("|cff0062ffsh|r|cff0DEB11Clock|r\n")
	if invites > 0 then
		GameTooltip:AddLine(format("|cffff3c00**You have |cff0deb11%d pending|r |cffff3c00invitation(s)!**|r", invites))
	end
	GameTooltip:AddLine("|cffc3771aDataBroker|r based addon to show\n|cff06DDFAtime/date related|r information\n") 
	
	GameTooltip:AddDoubleLine("Locale/Realm Name:\n", format("|cff0deb11%s - %s|r\n", locale, realm))
	
	local rtime = formatRealm()
	GameTooltip:AddDoubleLine("|cff06ddfaServer|r |cffffffffTime:|r", rtime)
		
	local time = formatLocal()	
	GameTooltip:AddDoubleLine("|cff0deb11Local|r |cffffffffTime:|r", time)
	
	GameTooltip:AddLine(" ")
	
	local cdate = date("|cffc3771a%A|r, |cff0deb11%B %d, %Y|r")
	GameTooltip:AddDoubleLine(cdate, " ")
	GameTooltip:AddLine(" ")
	
	GameTooltip:AddLine("|cff0deb11Left Click|r to toggle |cffc3771aTime Manager|r")
	GameTooltip:AddLine("|cff06ddfaRight Click|r to toggle |cffc3771aCalendar|r")
	
	GameTooltip:Show()
end

function dclock.OnClick(self, button)
	if button == "LeftButton" then
		ToggleTimeManager()
	elseif button == "RightButton" then
		ToggleCalendar()
	end
end
